Loading...
Searching...
No Matches
opengv::point_cloud::PointCloudAdapterBase Class Referenceabstract

`#include <PointCloudAdapterBase.hpp>`

Inheritance diagram for opengv::point_cloud::PointCloudAdapterBase:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | PointCloudAdapterBase ()
| Constructor.
| PointCloudAdapterBase (const rotation_t &R12)
| Constructor.
| PointCloudAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~PointCloudAdapterBase ()
| Destructor.
virtual opengv::point_t | getPoint1 (size_t index) const =0
| Retrieve the 3D-point of a correspondence in frame 1.
virtual opengv::point_t | getPoint2 (size_t index) const =0
| Retrieve the 3D-point of a correspondence in frame 2.
virtual size_t | getNumberCorrespondences () const =0
| Retrieve the number of correspondences.
virtual double | getWeight (size_t index) const =0
| Retrieve the weight of a correspondence. The weight is supposed to reflect the quality of a correspondence, and typically is between 0 and 1.
virtual opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
virtual void | sett12 (const translation_t &t12)
| Set the prior or known value for the relative position.
virtual opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
virtual void | setR12 (const rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Public Attributes

translation_t | _t12
rotation_t | _R12

## Detailed Description

The PointCloudAdapterBase is the base-class for the visitors to the point-cloud alignment methods. It provides a unified interface to opengv-methods to access point correspondences and priors or known variables for the alignment. Derived classes may hold the data in any user-specific format, and adapt to opengv-types.

## Constructor & Destructor Documentation

## PointCloudAdapterBase() [1/2]

opengv::point_cloud::PointCloudAdapterBase::PointCloudAdapterBase | ( | const rotation_t & | R12 | ) |

inline

Constructor.

Parameters

  [in] | R12 | A prior or known value for the rotation from frame 2 to frame 1.

## PointCloudAdapterBase() [2/2]

opengv::point_cloud::PointCloudAdapterBase::PointCloudAdapterBase | ( | const translation_t & | t12,
|  | const rotation_t & | R12 )

inline

Constructor.

Parameters

  [in] | t12 | A prior or known value for the position of frame 2 seen from frame 1.
  [in] | R12 | A prior or known value for the rotation from frame 2 to frame 1.

## Member Function Documentation

## getNumberCorrespondences()

virtual size_t opengv::point_cloud::PointCloudAdapterBase::getNumberCorrespondences | ( |  | ) | const

pure virtual

Retrieve the number of correspondences.

Returns
  The number of correspondences.

Implemented in opengv::point_cloud::MAPointCloud, and opengv::point_cloud::PointCloudAdapter.

## getPoint1()

virtual opengv::point_t opengv::point_cloud::PointCloudAdapterBase::getPoint1 | ( | size_t | index | ) | const

pure virtual

Retrieve the 3D-point of a correspondence in frame 1.

Parameters

  [in] | index | The serialized index of the correspondence.

Returns
  The corresponding 3D-point.

Implemented in opengv::point_cloud::MAPointCloud, and opengv::point_cloud::PointCloudAdapter.

## getPoint2()

virtual opengv::point_t opengv::point_cloud::PointCloudAdapterBase::getPoint2 | ( | size_t | index | ) | const

pure virtual

Retrieve the 3D-point of a correspondence in frame 2.

Parameters

  [in] | index | The serialized index of the correspondence.

Returns
  The corresponding 3D-point.

Implemented in opengv::point_cloud::MAPointCloud, and opengv::point_cloud::PointCloudAdapter.

## getR12()

virtual opengv::rotation_t opengv::point_cloud::PointCloudAdapterBase::getR12 | ( |  | ) | const

inline virtual

Retrieve the prior or known value for the relative rotation.

Returns
  The prior or known value for the rotation.

## gett12()

virtual opengv::translation_t opengv::point_cloud::PointCloudAdapterBase::gett12 | ( |  | ) | const

inline virtual

Retrieve the prior or known value for the relative position.

Returns
  The prior or known value for the position.

## getWeight()

virtual double opengv::point_cloud::PointCloudAdapterBase::getWeight | ( | size_t | index | ) | const

pure virtual

Retrieve the weight of a correspondence. The weight is supposed to reflect the quality of a correspondence, and typically is between 0 and 1.

Parameters

  [in] | index | The serialized index of the correspondence.

Returns
  The corresponding weight.

Implemented in opengv::point_cloud::MAPointCloud, and opengv::point_cloud::PointCloudAdapter.

## setR12()

virtual void opengv::point_cloud::PointCloudAdapterBase::setR12 | ( | const rotation_t & | R12 | ) |

inline virtual

Set the prior or known value for the relative rotation.

Parameters

  [in] | R12 | The prior or known value for the rotation.

## sett12()

virtual void opengv::point_cloud::PointCloudAdapterBase::sett12 | ( | const translation_t & | t12 | ) |

inline virtual

Set the prior or known value for the relative position.

Parameters

  [in] | t12 | The prior or known value for the position.

## Member Data Documentation

## _R12

rotation_t opengv::point_cloud::PointCloudAdapterBase::_R12

Prior or known value for the rotation from frame 2 to frame 1. Initialized to identity if not provided.

## _t12

translation_t opengv::point_cloud::PointCloudAdapterBase::_t12

Prior or known value for the position of frame 2 seen from frame 1. Initialized to zero if not provided.

The documentation for this class was generated from the following file:

- include/opengv/point_cloud/PointCloudAdapterBase.hpp